%define base_name	kwin-style
%define theme_name	smoothblend
%define name		%{base_name}-%{theme_name}
%define version		0.beta2
%define postversion	beta2
%define release		1mdk
%define summary		Smoothblend kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{postversion}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=21107
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Smooth Blend - a smooth blending of the window 
background color into the titlebar.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{postversion}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING Doxyfile README
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Mon Mar 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.beta2-1mdk
-Initial mandrake release

